Subject: Re: filtering packtes before OS takes care about them

From: Pedro Fortuna <[email-masked]>
Date: Sat, 5 Mar 2005 19:36:38 +0000

Hello Asim,
I tried again but this time in Fedora Core 3 (kernel 2.6.10-1.760_FC3)
and it went flawlessly.
I have a look into your example and also into the Phrack article you
mentioned and now I'm ready to begin some tests towards what I want to
implement.

It's absolutly clear you can fetch (and modify) packets before they
are delivered to the TCP/IP stack with a custom packet_type function,
but is it also possible to intercept just before they are passed to
the network driver?

Thanks,
-Pedro Fortuna

On Sat, 5 Mar 2005 12:58:23 -0600, Asim Shankar <[email-masked]> wrote:
> > I wasnt able to compile your packet_type_test.c :
> > all I got was a huge list of errors
> > and warnings, and no .o compiled in the end.
> 
> Can you send the specific errors you got?
> And is the kernel sources present in
> /lib/modules/`uname -r`/build?
> 
> Regards,
> 
> -- Asim
>